<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('satis_users', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('account_id');
            $table->string('email');
            $table->string('password');
            $table->tinyInteger('is_active');
            $table->bigInteger('created_by');
            $table->dateTime('created_at');
            $table->dateTime('updated_at');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('satis_users');
    }
};
